Bug 168163 - man pages in /usr/kerberos/man not marked as documentation
man pages in /usr/kerberos/man not marked as documentation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 22:24 EDT by Albert Strasheim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.4.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 16:26:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2005-09-12 22:24:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

Description of problem:
The man pages in /usr/kerberos/man are not marked as documentation. As a result, they are not excluded when installing with --excludedocs.



Version-Release number of selected component (if applicable):
krb5-1.4.1-5

How reproducible:
Always

Steps to Reproduce:
1. Install any Kerberos package with --excludedocs
2.
3.
  

Actual Results:  Man pages are installed

Expected Results:  Man pages should not be installed

Additional info:

I used the following Perl script to check the package:

#!/usr/bin/perl -w
use strict;
while(<STDIN>) {
  chomp;
  my ($path,$size,$mtime,$md5sum,$mode,$owner,$group,$isconfig,$isdoc,$rdev,$sym
link) = split(/\s+/);
  if ( ! $isdoc ) {
    if ( $path =~ /\/man\// ) {
      print $path, "\n";
    }
  }
}

Usage:

rpm -qp --dump krb5-*.rpm | perl ~/checkdoc.pl
Comment 1 Nalin Dahyabhai 2005-09-13 16:26:18 EDT
Fixing in 1.4.2-4.

Note You need to log in before you can comment on or make changes to this bug.